#!/usr/bin/python2

import sys
from ediftp import create_session, log

# compatible command line
def usage():
  print >>sys.stderr,"""
Usage:	pftp.py [-c] CMD
	Session,configsection
	Upload,rcpt,fname
	Ls
	Dnload
	Remove
	Quit
"""

def main(argv):
  if len(argv) < 2: usage()
  sess = None
  for arg in argv[1:]:
      if arg.startswith('S'):
        cmd,prt = arg.split(',',2)
	sess = create_session(prt)
	sess.dial()
        try:
          sess.ftp.set_debuglevel(2)
        except AttributeError: pass
	log("Logging in...")
      elif arg.startswith('U'):
	a = arg.split(',')
	lg = sess.upload(*a[1:])
	try:	# try interpreting send response
	  lg = '\n'.join(parse_send_resp(lg.splitlines()))
	except: pass
	print >>open('SEND.LOG','a'),a[1:],'\n'+lg.strip()
	log(lg)
      elif arg.startswith('D'):
	lg = sess.dnload()
	print >>open('RECV.LOG','a'),lg
	log(lg)
      elif arg.startswith('L'):
	a = arg.split(',')
	lg = sess.list(*a[1:])
	print >>open('RECV.LOG','a'),lg.strip()
	log(lg)
      elif arg.startswith('R'):
	log(sess.remove())
      elif arg.startswith('Q'):
	sess.logout()
	return 0
  return 0

rc = main(sys.argv)
sys.exit(rc)
